#include <bits/stdc++.h>
using namespace std;
int n,br,mm;
string s,m;
int main(){
    cin>>s>>m;
    n=s.size()-1;
    if(m=="a"){
        for(int i=0;i<=n;i++){
            if(s[i]=='a'){
               br++;
               s[i]='*';
            }
        }
    }
    cout<<br<<endl;
    cout<<s<<endl;
    return 0;
}